| Classes - Annotated - Tree - Functions - Home - Structure

# QListBoxText Class Reference

The QListBoxText class provides list box items with text. More...

`#include <qlistbox.h>`

Inherits QListBoxItem.

List of all member functions.

## Public Members

- QListBoxText ( QListBox * listbox, const QString & text=QString::null )
- QListBoxText ( const QString & text=QString::null )
- QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
- ~QListBoxText ()
- virtual int height ( const QListBox * ) const
- virtual int width ( const QListBox * ) const

## Protected Members

- virtual void paint ( QPainter * )

## Detailed Description

The QListBoxText class provides list box items with text.

The text is drawn in the widget's current font. If you need several different fonts, you have to make your own subclass of QListBoxItem.

See also QListBox and QListBoxItem.

## Member Function Documentation

### QListBoxText::QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )

Constructs a list box item in listbox listtbox showing the text text. The item gets inserted after the item after.

### QListBoxText::QListBoxText ( QListBox * listbox, const QString & text=QString::null )

Constructs a list box item in listbox listtbox showing the text text.

### QListBoxText::QListBoxText ( const QString & text=QString::null )

Constructs a list box item showing the text text.

### QListBoxText::~QListBoxText ()

Destroys the item.

### int QListBoxText::height ( const QListBox * lb ) const `[virtual]`

Returns the height of a line of text.

See also paint() and width().

Reimplemented from QListBoxItem.

### void QListBoxText::paint ( QPainter * painter ) `[virtual protected]`

Draws the text using painter.

Reimplemented from QListBoxItem.

### int QListBoxText::width ( const QListBox * lb ) const `[virtual]`

Returns the width of this line.

See also paint() and height().

Reimplemented from QListBoxItem.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.